object FTestReport: TFTestReport
  Left = 283
  Top = 50
  Width = 530
  Height = 596
  Caption = 'TestReport'
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  OnCreate = FormCreate
  PixelsPerInch = 96
  TextHeight = 13
  object Label1: TLabel
    Left = 8
    Top = 176
    Width = 77
    Height = 13
    Caption = 'Select Customer'
  end
  object BtnReport: TButton
    Left = 256
    Top = 72
    Width = 255
    Height = 73
    Anchors = [akLeft, akTop, akRight]
    Caption = 'Report!'
    Font.Charset = ANSI_CHARSET
    Font.Color = clBlue
    Font.Height = -27
    Font.Name = 'Arial'
    Font.Style = [fsBold]
    ParentFont = False
    TabOrder = 0
    OnClick = BtnReportClick
  end
  object ReportKind: TRadioGroup
    Left = 8
    Top = 8
    Width = 225
    Height = 113
    Caption = 'Select report'
    ItemIndex = 0
    Items.Strings = (
      'Very simple demo (no db)'
      'One Customer'
      'All customers in one page'
      'Some customers, one per page'
      'Pivot Table')
    TabOrder = 1
    OnClick = ReportKindClick
  end
  object edCustomer: TDBLookupComboBox
    Left = 8
    Top = 128
    Width = 225
    Height = 21
    KeyField = 'CustNo'
    ListField = 'Company'
    ListSource = CustSource
    TabOrder = 2
  end
  object GridOrders: TDBGrid
    Left = 8
    Top = 168
    Width = 503
    Height = 226
    Anchors = [akLeft, akTop, akRight, akBottom]
    DataSource = OrdersSource
    TabOrder = 3
    TitleFont.Charset = DEFAULT_CHARSET
    TitleFont.Color = clWindowText
    TitleFont.Height = -11
    TitleFont.Name = 'MS Sans Serif'
    TitleFont.Style = []
  end
  object GridItems: TDBGrid
    Left = 8
    Top = 407
    Width = 503
    Height = 147
    Anchors = [akLeft, akRight, akBottom]
    DataSource = ItemsSource
    TabOrder = 4
    TitleFont.Charset = DEFAULT_CHARSET
    TitleFont.Color = clWindowText
    TitleFont.Height = -11
    TitleFont.Name = 'MS Sans Serif'
    TitleFont.Style = []
  end
  object chProtectTheWorkbook: TCheckBox
    Left = 256
    Top = 16
    Width = 217
    Height = 17
    Caption = 'Protect the Workbook'
    TabOrder = 5
  end
  object chWeb: TCheckBox
    Left = 256
    Top = 40
    Width = 257
    Height = 17
    Caption = 'Save as Web Page and open it (only Excel 2000)'
    TabOrder = 6
    OnClick = chWebClick
  end
  object Items: TTable
    Active = True
    CachedUpdates = True
    OnCalcFields = ItemsCalcFields
    DatabaseName = 'MAST'
    IndexFieldNames = 'OrderNo'
    MasterFields = 'OrderNo'
    MasterSource = OrdersSource
    TableName = 'ITEMS'
    Left = 100
    Top = 180
    object ItemsItemNo: TFloatField
      FieldName = 'ItemNo'
      Visible = False
    end
    object ItemsOrderNo: TFloatField
      FieldName = 'OrderNo'
      Visible = False
    end
    object ItemsPartNo: TFloatField
      FieldName = 'PartNo'
    end
    object ItemsDescription: TStringField
      DisplayWidth = 28
      FieldKind = fkLookup
      FieldName = 'Description'
      LookupDataSet = Parts
      LookupKeyFields = 'PartNo'
      LookupResultField = 'Description'
      KeyFields = 'PartNo'
      ReadOnly = True
      Size = 30
      Lookup = True
    end
    object ItemsSellPrice: TCurrencyField
      DisplayWidth = 9
      FieldKind = fkLookup
      FieldName = 'SellPrice'
      LookupDataSet = Parts
      LookupKeyFields = 'PartNo'
      LookupResultField = 'ListPrice'
      KeyFields = 'PartNo'
      Lookup = True
    end
    object ItemsQty: TIntegerField
      DisplayWidth = 5
      FieldName = 'Qty'
    end
    object ItemsDiscount: TFloatField
      DisplayWidth = 7
      FieldName = 'Discount'
      DisplayFormat = '0.00%'
      MaxValue = 100
    end
    object ItemsExtPrice: TCurrencyField
      DisplayWidth = 10
      FieldKind = fkCalculated
      FieldName = 'ExtPrice'
      Calculated = True
    end
    object ItemsDiscountPc: TFloatField
      FieldKind = fkCalculated
      FieldName = 'DiscountPc'
      Calculated = True
    end
  end
  object Database: TDatabase
    AliasName = 'DBDEMOS'
    Connected = True
    DatabaseName = 'MAST'
    LoginPrompt = False
    Params.Strings = (
      'USER NAME=sysdba'
      'PASSWORD=masterkey')
    SessionName = 'Default'
    TransIsolation = tiDirtyRead
    Left = 12
    Top = 180
  end
  object OrdersSource: TDataSource
    DataSet = Orders
    Left = 302
    Top = 180
  end
  object ExcelReport2: TExcelReport
    DataModule = Owner
    AutoClose = False
    CalcRecordCount = cr_SlowCount
    SaveFormatExtended = []
    OnAfterGenerateWorkbook = ExcelReport1AfterGenerateWorkbook
    Left = 152
    Top = 288
  end
  object Cust: TTable
    Active = True
    CachedUpdates = True
    OnCalcFields = CustCalcFields
    DatabaseName = 'MAST'
    Filter = 'CustNo<1352'
    TableName = 'CUSTOMER'
    Left = 220
    Top = 181
    object CustCustNo: TFloatField
      Alignment = taLeftJustify
      DisplayWidth = 6
      FieldName = 'CustNo'
    end
    object CustCompany: TStringField
      DisplayWidth = 26
      FieldName = 'Company'
      Required = True
      Size = 30
    end
    object CustPhone: TStringField
      DisplayWidth = 15
      FieldName = 'Phone'
      Size = 15
    end
    object CustLastInvoiceDate: TDateTimeField
      DisplayLabel = 'LastInvoice'
      DisplayWidth = 10
      FieldName = 'LastInvoiceDate'
      DisplayFormat = 'DDDDD'
    end
    object CustAddr1: TStringField
      FieldName = 'Addr1'
      Size = 30
    end
    object CustAddr2: TStringField
      FieldName = 'Addr2'
      Size = 30
    end
    object CustCity: TStringField
      FieldName = 'City'
      Size = 15
    end
    object CustState: TStringField
      FieldName = 'State'
    end
    object CustZip: TStringField
      FieldName = 'Zip'
      Size = 10
    end
    object CustCountry: TStringField
      FieldName = 'Country'
    end
    object CustFAX: TStringField
      FieldName = 'FAX'
      Size = 15
    end
    object CustTaxRate: TFloatField
      FieldName = 'TaxRate'
    end
    object CustContact: TStringField
      FieldName = 'Contact'
    end
    object CustTotAddr1: TStringField
      DisplayWidth = 128
      FieldKind = fkCalculated
      FieldName = 'TotAddr1'
      Size = 128
      Calculated = True
    end
    object CustTotAddr2: TStringField
      FieldKind = fkCalculated
      FieldName = 'TotAddr2'
      Size = 128
      Calculated = True
    end
  end
  object Parts: TTable
    Active = True
    CachedUpdates = True
    DatabaseName = 'MAST'
    TableName = 'PARTS'
    Left = 140
    Top = 181
    object PartsPartNo: TFloatField
      Alignment = taLeftJustify
      DisplayWidth = 8
      FieldName = 'PartNo'
      Required = True
    end
    object PartsDescription: TStringField
      DisplayWidth = 21
      FieldName = 'Description'
      Required = True
      Size = 30
    end
    object PartsVendorNo: TFloatField
      DisplayWidth = 9
      FieldName = 'VendorNo'
    end
    object PartsOnHand: TFloatField
      DisplayWidth = 9
      FieldName = 'OnHand'
    end
    object PartsOnOrder: TFloatField
      DisplayWidth = 10
      FieldName = 'OnOrder'
    end
    object PartsBackOrd: TBooleanField
      DisplayWidth = 9
      FieldKind = fkCalculated
      FieldName = 'BackOrd'
      DisplayValues = 'Yes;No'
      Calculated = True
    end
    object PartsCost: TCurrencyField
      DisplayWidth = 12
      FieldName = 'Cost'
    end
    object PartsListPrice: TCurrencyField
      DisplayWidth = 12
      FieldName = 'ListPrice'
    end
  end
  object Emps: TTable
    Active = True
    OnCalcFields = EmpsCalcFields
    DatabaseName = 'MAST'
    IndexFieldNames = 'EmpNo'
    ReadOnly = True
    TableName = 'EMPLOYEE'
    Left = 180
    Top = 180
    object EmpsEmpNo: TIntegerField
      FieldName = 'EmpNo'
    end
    object EmpsFullName: TStringField
      FieldKind = fkCalculated
      FieldName = 'FullName'
      Calculated = True
    end
    object EmpsLastName: TStringField
      FieldName = 'LastName'
    end
    object EmpsFirstName: TStringField
      FieldName = 'FirstName'
      Size = 15
    end
    object EmpsPhoneExt: TStringField
      FieldName = 'PhoneExt'
      Size = 4
    end
    object EmpsHireDate: TDateTimeField
      FieldName = 'HireDate'
    end
    object EmpsSalary: TFloatField
      FieldName = 'Salary'
    end
  end
  object CustSource: TDataSource
    DataSet = Cust
    Left = 376
    Top = 184
  end
  object ExcelReport3: TExcelReport
    DataModule = Owner
    AutoClose = False
    CalcRecordCount = cr_SlowCount
    SaveFormatExtended = []
    OnAfterGenerateWorkbook = ExcelReport1AfterGenerateWorkbook
    Left = 232
    Top = 288
  end
  object ExcelReport4: TExcelReport
    DataModule = Owner
    AutoClose = False
    CalcRecordCount = cr_SlowCount
    PagesDataSet = Cust
    PagesDataField = 'Company'
    SaveFormatExtended = []
    OnAfterGenerateWorkbook = ExcelReport1AfterGenerateWorkbook
    Left = 304
    Top = 288
  end
  object Orders: TTable
    Active = True
    DatabaseName = 'MAST'
    IndexName = 'CustNo'
    MasterFields = 'CUSTNO'
    MasterSource = CustSource
    ReadOnly = True
    TableName = 'ORDERS'
    Left = 52
    Top = 180
    object OrdersOrderNo: TFloatField
      Alignment = taLeftJustify
      DisplayWidth = 10
      FieldName = 'OrderNo'
    end
    object OrdersCustNo: TFloatField
      FieldName = 'CustNo'
      Visible = False
    end
    object OrdersSaleDate: TDateTimeField
      DisplayWidth = 9
      FieldName = 'SaleDate'
      DisplayFormat = 'DDDDD'
    end
    object OrdersShipDate: TDateTimeField
      DisplayWidth = 9
      FieldName = 'ShipDate'
      DisplayFormat = 'DDDDD'
    end
    object OrdersItemsTotal: TCurrencyField
      FieldName = 'ItemsTotal'
      Visible = False
    end
    object OrdersTaxRate: TFloatField
      FieldName = 'TaxRate'
      Visible = False
    end
    object OrdersFreight: TCurrencyField
      FieldName = 'Freight'
      Visible = False
    end
    object OrdersAmountPaid: TCurrencyField
      DisplayWidth = 14
      FieldName = 'AmountPaid'
    end
    object OrdersAmountDue: TCurrencyField
      DisplayWidth = 14
      FieldKind = fkCalculated
      FieldName = 'AmountDue'
      Calculated = True
    end
    object OrdersEmpNo: TIntegerField
      FieldName = 'EmpNo'
      Required = True
    end
    object OrdersShipToContact: TStringField
      FieldName = 'ShipToContact'
    end
    object OrdersShipToAddr1: TStringField
      FieldName = 'ShipToAddr1'
      Size = 30
    end
    object OrdersShipToAddr2: TStringField
      FieldName = 'ShipToAddr2'
      Size = 30
    end
    object OrdersShipToCity: TStringField
      FieldName = 'ShipToCity'
      Size = 15
    end
    object OrdersShipToState: TStringField
      FieldName = 'ShipToState'
    end
    object OrdersShipToZip: TStringField
      FieldName = 'ShipToZip'
      Size = 10
    end
    object OrdersShipToCountry: TStringField
      FieldName = 'ShipToCountry'
    end
    object OrdersShipToPhone: TStringField
      FieldName = 'ShipToPhone'
      Size = 15
    end
    object OrdersSalesPerson: TStringField
      FieldKind = fkLookup
      FieldName = 'SalesPerson'
      LookupDataSet = Emps
      LookupKeyFields = 'EmpNo'
      LookupResultField = 'FullName'
      KeyFields = 'EmpNo'
      Size = 40
      Lookup = True
    end
    object OrdersShipVIA: TStringField
      FieldName = 'ShipVIA'
      Size = 7
    end
    object OrdersPO: TStringField
      FieldName = 'PO'
      Size = 15
    end
    object OrdersTerms: TStringField
      FieldName = 'Terms'
      Size = 6
    end
    object OrdersPaymentMethod: TStringField
      FieldName = 'PaymentMethod'
      Size = 7
    end
  end
  object ExcelReport5: TExcelReport
    DataModule = Owner
    AutoClose = False
    CalcRecordCount = cr_SlowCount
    SaveFormatExtended = []
    OnAfterGenerateWorkbook = ExcelReport1AfterGenerateWorkbook
    Left = 376
    Top = 288
  end
  object Total: TQuery
    Active = True
    DatabaseName = 'MAST'
    SQL.Strings = (
      'select * from customer a, orders b, items c, parts d'
      
        ' where a.custno=b.custno and b.orderno=c.orderno and c.partno=d.' +
        'partno')
    Left = 16
    Top = 224
    object TotalSaleDate: TDateTimeField
      FieldName = 'SaleDate'
      Origin = 'MAST."customer.DB".CustNo'
    end
    object TotalCustNo: TFloatField
      FieldName = 'CustNo'
      Origin = 'MAST."customer.DB".CustNo'
    end
    object TotalCompany: TStringField
      FieldName = 'Company'
      Origin = 'MAST."customer.DB".Company'
      Size = 30
    end
    object TotalAddr1: TStringField
      FieldName = 'Addr1'
      Origin = 'MAST."customer.DB".Addr1'
      Size = 30
    end
    object TotalAddr2: TStringField
      FieldName = 'Addr2'
      Origin = 'MAST."customer.DB".Addr2'
      Size = 30
    end
    object TotalCity: TStringField
      FieldName = 'City'
      Origin = 'MAST."customer.DB".City'
      Size = 15
    end
    object TotalState: TStringField
      FieldName = 'State'
      Origin = 'MAST."customer.DB".State'
    end
    object TotalZip: TStringField
      FieldName = 'Zip'
      Origin = 'MAST."customer.DB".Zip'
      Size = 10
    end
    object TotalCountry: TStringField
      FieldName = 'Country'
      Origin = 'MAST."customer.DB".Country'
    end
    object TotalPhone: TStringField
      FieldName = 'Phone'
      Origin = 'MAST."customer.DB".Phone'
      Size = 15
    end
    object TotalFAX: TStringField
      FieldName = 'FAX'
      Origin = 'MAST."customer.DB".FAX'
      Size = 15
    end
    object TotalTaxRate: TFloatField
      FieldName = 'TaxRate'
      Origin = 'MAST."customer.DB".TaxRate'
    end
    object TotalContact: TStringField
      FieldName = 'Contact'
      Origin = 'MAST."customer.DB".Contact'
    end
    object TotalLastInvoiceDate: TDateTimeField
      FieldName = 'LastInvoiceDate'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
    end
    object TotalOrderNo: TFloatField
      FieldName = 'OrderNo'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
    end
    object TotalCustNo_1: TFloatField
      FieldName = 'CustNo_1'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
    end
    object TotalShipDate: TDateTimeField
      FieldName = 'ShipDate'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
    end
    object TotalEmpNo: TIntegerField
      FieldName = 'EmpNo'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
    end
    object TotalShipToContact: TStringField
      FieldName = 'ShipToContact'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
    end
    object TotalShipToAddr1: TStringField
      FieldName = 'ShipToAddr1'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
      Size = 30
    end
    object TotalShipToAddr2: TStringField
      FieldName = 'ShipToAddr2'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
      Size = 30
    end
    object TotalShipToCity: TStringField
      FieldName = 'ShipToCity'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
      Size = 15
    end
    object TotalShipToState: TStringField
      FieldName = 'ShipToState'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
    end
    object TotalShipToZip: TStringField
      FieldName = 'ShipToZip'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
      Size = 10
    end
    object TotalShipToCountry: TStringField
      FieldName = 'ShipToCountry'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
    end
    object TotalShipToPhone: TStringField
      FieldName = 'ShipToPhone'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
      Size = 15
    end
    object TotalShipVIA: TStringField
      FieldName = 'ShipVIA'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
      Size = 7
    end
    object TotalPO: TStringField
      FieldName = 'PO'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
      Size = 15
    end
    object TotalTerms: TStringField
      FieldName = 'Terms'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
      Size = 6
    end
    object TotalPaymentMethod: TStringField
      FieldName = 'PaymentMethod'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
      Size = 7
    end
    object TotalItemsTotal: TCurrencyField
      FieldName = 'ItemsTotal'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
    end
    object TotalTaxRate_1: TFloatField
      FieldName = 'TaxRate_1'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
    end
    object TotalFreight: TCurrencyField
      FieldName = 'Freight'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
    end
    object TotalAmountPaid: TCurrencyField
      FieldName = 'AmountPaid'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
    end
    object TotalOrderNo_1: TFloatField
      FieldName = 'OrderNo_1'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
    end
    object TotalItemNo: TFloatField
      FieldName = 'ItemNo'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
    end
    object TotalPartNo: TFloatField
      FieldName = 'PartNo'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
    end
    object TotalQty: TIntegerField
      FieldName = 'Qty'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
    end
    object TotalDiscount: TFloatField
      FieldName = 'Discount'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
    end
    object TotalPartNo_1: TFloatField
      FieldName = 'PartNo_1'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
    end
    object TotalVendorNo: TFloatField
      FieldName = 'VendorNo'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
    end
    object TotalDescription: TStringField
      FieldName = 'Description'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
      Size = 30
    end
    object TotalOnHand: TFloatField
      FieldName = 'OnHand'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
    end
    object TotalOnOrder: TFloatField
      FieldName = 'OnOrder'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
    end
    object TotalCost: TCurrencyField
      FieldName = 'Cost'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
    end
    object TotalListPrice: TCurrencyField
      FieldName = 'ListPrice'
      Origin = 'MAST."customer.DB".LastInvoiceDate'
    end
  end
  object ItemsSource: TDataSource
    DataSet = Cust
    Left = 392
    Top = 368
  end
  object ExcelReport1: TExcelReport
    DataModule = Owner
    AutoClose = False
    CalcRecordCount = cr_SlowCount
    SaveFormatExtended = []
    OnAfterGenerateWorkbook = ExcelReport1AfterGenerateWorkbook
    Left = 64
    Top = 288
  end
end
